ManifestResource (Tomcat API Documentation)
Keywords: org.apache.catalina.util.ManifestResource class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.util
Class ManifestResource

    java.lang.Object
      org.apache.catalina.util.ManifestResource

    public class ManifestResource

extends java.lang.Object

Representation of a Manifest file and its available extensions and required extensions

Version:
  $Revision: 698920 $ $Date: 2008-09-25 12:41:30 +0200 (Thu, 25 Sep 2008) $
Author:
  Greg Murray, Justyna Horwat

Field Summary
`static int` | `APPLICATION`
`static int` | `SYSTEM`
`static int` | `WAR`

Constructor Summary
`ManifestResource(java.lang.String resourceName, java.util.jar.Manifest manifest, int resourceType)`

Method Summary
`int` | `getAvailableExtensionCount()` Gets the number of available extensions
`java.util.ArrayList` | `getAvailableExtensions()` Gets the list of available extensions
`int` | `getRequiredExtensionCount()` Gets the number of required extensions
`java.util.ArrayList` | `getRequiredExtensions()` Gets the list of required extensions
`java.lang.String` | `getResourceName()` Gets the name of the resource
`boolean` | `isFulfilled()` Returns `true` if all required extension dependencies have been meet for this `ManifestResource` object.
`boolean` | `requiresExtensions()` Convienience method to check if this `ManifestResource` has an requires extensions.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SYSTEM

    public static final int SYSTEM

See Also:
  Constant Field Values

### WAR

    public static final int WAR

See Also:
  Constant Field Values

### APPLICATION

    public static final int APPLICATION

See Also:
  Constant Field Values

Constructor Detail

### ManifestResource

    public ManifestResource(java.lang.String resourceName,
                            java.util.jar.Manifest manifest,
                            int resourceType)

Method Detail

### getResourceName

    public java.lang.String getResourceName()

  Gets the name of the resource

  Returns:
    The name of the resource

### getAvailableExtensions

    public java.util.ArrayList getAvailableExtensions()

  Gets the list of available extensions

  Returns:
    List of available extensions

### getRequiredExtensions

    public java.util.ArrayList getRequiredExtensions()

  Gets the list of required extensions

  Returns:
    List of required extensions

### getAvailableExtensionCount

    public int getAvailableExtensionCount()

  Gets the number of available extensions

  Returns:
    The number of available extensions

### getRequiredExtensionCount

    public int getRequiredExtensionCount()

  Gets the number of required extensions

  Returns:
    The number of required extensions

### requiresExtensions

    public boolean requiresExtensions()

  Convienience method to check if this `ManifestResource` has an requires extensions.

  Returns:
    true if required extensions are present

### isFulfilled

    public boolean isFulfilled()

  Returns `true` if all required extension dependencies have been meet for this `ManifestResource` object.

  Returns:
    boolean true if all extension dependencies have been satisfied

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.